Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/terms_of_service_user_statuses/324234" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"is_accepted": true
}'{
"id": "11446498",
"type": "terms_of_service_user_status",
"tos": {
"id": "11446498",
"type": "terms_of_service"
},
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"is_accepted": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Updates the status for a terms of service for a user.
curl -i -X PUT "https://api.box.com/2.0/terms_of_service_user_statuses/324234" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"is_accepted": true
}'{
"id": "11446498",
"type": "terms_of_service_user_status",
"tos": {
"id": "11446498",
"type": "terms_of_service"
},
"user": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"is_accepted": true,
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the terms of service status.
Whether the user has accepted the terms.
true
Returns the updated terms of service status object.
The association between a Terms of Service and a user.
The unique identifier for this terms of service user status.
"11446498"
The value will always be terms_of_service_user_status.
terms_of_service_user_status "terms_of_service_user_status"
The terms of service.
Show child attributes
The user.
Show child attributes
If the user has accepted the terms of services.
true
When the legal item was created.
"2012-12-12T10:53:43-08:00"
When the legal item was modified.
"2012-12-12T10:53:43-08:00"
Was this page helpful?